Bug 1894810 - Remove TechPreview Badge from Eventing in Serverless version 1.11.0
Summary: Remove TechPreview Badge from Eventing in Serverless version 1.11.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.7.0
Assignee: Jaivardhan Kumar
QA Contact: Gajanan More
Harsh Mishra
URL:
Whiteboard:
Depends On:
Blocks: 1899382
TreeView+ depends on / blocked
 
Reported: 2020-11-05 06:32 UTC by Jaivardhan Kumar
Modified: 2021-02-24 15:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Technology preview badges were displayed on the Eventing user interface although it had its GA release with {product-title} 4.6. The Technology preview badges are now removed and the changes were back-ported to the {product-title} 4.6.9 version.
Clone Of:
: 1899382 (view as bug list)
Environment:
Last Closed: 2021-02-24 15:31:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7110 0 None closed Bug 1894810: removes techpreview badge from eventing 2021-02-09 13:50:10 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:31:54 UTC

Description Jaivardhan Kumar 2020-11-05 06:32:10 UTC
Description of problem: Remove TechPreview Badge from Eventing in Serverless version 1.11.0

Knative Eventing is going GA in the Serverless 1.11.0 release that is scheduled to be released on 11/11/2020 (https://pp.engineering.redhat.com/pp/product/serverless/release/serverless-1-11.0/people), so the console needs to remove the TechPreview badge once this version is available on OCP 4.6.

Version-Release number of selected component (if applicable): OCP 4.6/4.7


How reproducible: Always


Steps to Reproduce:
1. Install Serverless operator
2. Create knativeEventing CR
3. Go to DevPerspective -> Add -> Channel
4. Go to DevPerspective -> Add -> EventSources

Actual results: Can see TP badge on Eventing components 


Expected results: There shouldn't be any badge on Eventing components


Additional info:

Comment 2 Gajanan More 2020-11-19 03:39:32 UTC
I have validated the bugzilla on:

Build: 4.7.0-0.nightly-2020-11-18-044518

Browser: Firefox 80.0.1

Marking this bugzilla as done

Comment 5 errata-xmlrpc 2021-02-24 15:31:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.